{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>Project List</h1>
            <table>
                <tr>
                    <th>Name</th>
                    <th>Description</th>
                    <th>Number of Tasks</th>
                </tr>
                {% for project in projects %}
                    <tr>
                        <td>
                            <a href="{% url 'projects:show_project' project.id %}">{{ project.name }}</a>
                        </td>
                        <td>{{ project.description }}</td>
                        <td>{{ project.tasks.all|length }}</td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </main>
{% endblock %}
